#!/bin/bash
#
# Copyright (C) Mellanox Technologies, Ltd. 2008-2018 ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Mellanox Technologies, Ltd.
# (the "Company") and all right, title, and interest in and to the software product,
# including all associated intellectual property rights, are and shall
# remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#
if [[ "$@" == *"--help"* ]] || [[ "x$@" == "x" ]]; then
	sx_player --help
	exit;
fi

# Start SDK process only of not already running.
pidof sx_sdk > /dev/null
if [ "$?" == "1" ]; then
	evb_skip_init=1 dvs_start.sh
fi

# Run the player with the provided params.
sx_player $@