#!/bin/bash
#
# Copyright (C) Mellanox Technologies, Ltd. 2008-2018 ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Mellanox Technologies, Ltd.
# (the "Company") and all right, title, and interest in and to the software product,
# including all associated intellectual property rights, are and shall
# remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#


basedir=`readlink -f $0`
basedir=${basedir%/*}

lsmod | grep sx_ib > /dev/null
if [ $? == 0 ]; then
    is_eth=0
else
    is_eth=1
fi

killall dvs_manager sx_acl_rm sx_sdk opensm testx testx_server
emad_dump_stop.sh

#sleeping for 5 seconds
#killall -w flag is not supported on all platforms
sleep 5

if [ $is_eth == 0 ]; then
	/etc/init.d/openibd stop || exit 1
else
	/etc/init.d/sxdkernel stop || exit 1
fi